<div *ngIf="!addParishionerFormVisible">
  <div class="quick-add__latest-offerings">
    <ng-container *ngIf="latestOfferings$ | async; let offerings;">
      <ng-container *ngIf="offerings.length > 0">
        <span style="text-transform: uppercase;">{{'LatestOfferingsLabel' | translate}} &nbsp;&nbsp;</span>
        <span style="white-space: nowrap;">
          <span *ngFor="let offering of offerings">
            <b><a style="cursor: pointer;" (click)="selectOffering(offering)">{{getParishionerById(offering.parishioner).name}}</a></b> - {{offering.amount | number:'1.2-2'}} zł
            <span title="{{'Delete' | translate}}" (click)="deleteOffering(offering)" class="fa fa-trash util-cursor-pointer"></span> &nbsp;&nbsp;
          </span>
        </span>
      </ng-container>
    </ng-container>
  </div>
  <div class="well well-sm util-no-margin">
    <div class="form-group">
      <div>
        <label class="small">{{'Parishioner' | translate}}</label>
        <p-autoComplete #parishionerInput [(ngModel)]="selectedParishioner" (ngModelChange)="selectParishioner()" [suggestions]="parishionerSuggestions"
          placeholder="{{'ParishionerSearchPlaceholder' | translate}}" (completeMethod)="getParishionerSuggestions($event)" field="name"
          [autoHighlight]="true" inputStyleClass="form-control parishioner-autocomplete-input">
          <ng-template let-parishioner pTemplate="item">
            <div>
              {{parishioner.name}} &nbsp;&nbsp;<small>{{parishioner.address}}</small>
            </div>
          </ng-template>
        </p-autoComplete>
      </div>
    </div>
    <div class="form-group text-center" *ngIf="searching">
      {{'Loading' | translate}}...
    </div>
    <app-offering-form *ngIf="offering" 
      [offering]="offering" 
      (addSuccess)="handleAddSuccess()" 
      (updateSuccess)="handleUpdateSuccess()"
      (cancelClick)="reset()"></app-offering-form>
    <div *ngIf="!selectedParishioner || !selectedParishioner.$key" class="text-center">
      <button class="btn btn-default btn-xs" (click)="addParishionerFormVisible = !addParishionerFormVisible">
        <i class="glyphicon glyphicon-user"></i> {{'AddParishioner' | translate}}
      </button>
    </div>
  </div>
</div>
<div *ngIf="addParishionerFormVisible">
  <div class="well small">
    <h3>
      <i class="glyphicon glyphicon-user" style="margin-right: 5px;"></i> {{'AddParishioner' | translate}}...
    </h3>
    <app-parishioner-form 
      [parishioner]="newParishioner"
      (addSuccess)="handleParishionerAddSuccess($event)"
      (cancelClick)="addParishionerFormVisible = false"></app-parishioner-form>
  </div>
</div>
<p-messages [(value)]="quickAddMessages"></p-messages>